# bitgloo-web

This is the code for [bitgloo.com](https://bitgloo.com)'s frontend.

The frontend uses a directory tree of folders, Markdown files, and images to
create webpages. Primary assets, like the logo and CSS script, are kept as
internal resources.

Given the URI `/projects/thing`, the frontend will render Markdown files from
`<content path>/projects/thing` in a sorted order. The files can display images
in their directory like so: `![](thing/image.jpg)`.

## Usage

Either run with Leiningen:

```
lein run <port> <content path>
```

...or with the compiled JAR file:

```
java -jar bitgloo-web.jar <port> <content path>
```

